View Issue Details

IDProjectCategoryView StatusLast Update
0005727Simple:Presscode - generalpublic2017-07-11 01:58
ReporterMr PapaAssigned ToMr Papa 
PrioritynormalSeverityN/AReproducibilityhave not tried
Status closedResolutionfixed 
Product Version5.8 
Target Version5.8Fixed in Version5.8 
Summary0005727: clean up classes and loading procedures
Descriptionmove some class variables around now that we have basic class structure set up...

look at loading process and see if we can change up forum loading based on pageview type...
TagsNo tags attached.
change_log_textclean up classes and loading procedures
typeenhancement

Activities

svn

svn

2017-01-22 17:38

administrator   ~0019076

Changeset [15066] by steve on 2017-01-22 12:38:55 -0500 (Sun, 22 Jan 2017)

see issue 0005727 move pageData from core to rewrites class since its generating all the data

 Changed Files:

U trunk/admin/library/spa-support.php
U trunk/admin/panel-forums/support/spa-forums-save.php
U trunk/forum/content/classes/sp-forum-view-class.php
U trunk/forum/content/classes/sp-group-view-class.php
U trunk/forum/content/classes/sp-member-view-class.php
U trunk/forum/content/classes/sp-search-view-class.php
U trunk/forum/content/classes/sp-topic-view-class.php
U trunk/forum/content/forms/sp-form-components.php
U trunk/forum/content/forms/sp-form-search.php
U trunk/forum/content/sp-common-view-functions.php
U trunk/forum/content/sp-forum-view-functions.php
U trunk/forum/content/sp-member-view-functions.php
U trunk/forum/content/sp-profile-view-functions.php
U trunk/forum/content/sp-search-view-functions.php
U trunk/forum/content/sp-template-control.php
U trunk/forum/content/sp-topic-view-functions.php
U trunk/forum/database/sp-db-management.php
U trunk/forum/database/sp-db-statistics.php
U trunk/forum/feeds/sp-feeds.php
U trunk/sp-api/sp-api-class-spcactivity.php
U trunk/sp-api/sp-api-class-spcauths.php
U trunk/sp-api/sp-api-class-spcdb.php
U trunk/sp-api/sp-api-class-spcdisplayfilters.php
U trunk/sp-api/sp-api-class-spcmeta.php
U trunk/sp-api/sp-api-class-spcpermalinks.php
U trunk/sp-api/sp-api-class-spcpost.php
U trunk/sp-api/sp-api-class-spcprimitives.php
U trunk/sp-api/sp-api-class-spcrewrites.php
U trunk/sp-api/sp-api-class-spcsavefilters.php
U trunk/sp-startup/core/sp-core-support-functions.php
U trunk/sp-startup/forum/sp-forum-framework.php
U trunk/sp-startup/forum/sp-forum-support-functions.php
U trunk/sp-startup/site/sp-site-support-functions.php
U trunk/sp-startup/sp-load-class-spccoreloader.php

 Differences:

 http://websvn.simple-press.com/revision.php?repname=Simple:Press&path=%2F&rev=15066
svn

svn

2017-01-22 17:39

administrator   ~0019077

Changeset [15067] by steve on 2017-01-22 12:39:24 -0500 (Sun, 22 Jan 2017)

see issue 0005727 move pageData from core to rewrites class since its generating all the data

 Changed Files:

U plugins/admin-bar/library/sp-admin-bar-components.php
U plugins/anonymous/sp-anonymous-plugin.php
U plugins/answers-topic/template-tags/sp-answers-topic-answers-button.php
U plugins/ban/library/sp-ban-components.php
U plugins/ban/sp-ban-plugin.php
U plugins/blog-linking/library/sp-linking-support.php
U plugins/captcha/sp-captcha-plugin.php
U plugins/hide-poster/library/sp-hide-poster-components.php
U plugins/keywords/library/sp-keywords-components.php
U plugins/logger/sp-logger-plugin.php
U plugins/mentions/library/sp-mentions-components.php
U plugins/online/library/sp-online-components.php
U plugins/online/sp-online-plugin.php
U plugins/plupload/library/sp-plupload-components.php
U plugins/plupload/library/sp-plupload-forms.php
U plugins/policy-doc/sp-policy-doc-plugin.php
U plugins/polls/ajax/sp-polls-ajax-manage.php
U plugins/post-by-email/library/sp-email-post-process.php
U plugins/post-preview/ajax/sp-ajax-preview.php
U plugins/post-rating/template-tags/sp-rating-topic-rating.php
U plugins/print-topic/sp-print-plugin.php
U plugins/print-topic/template-files/spTopicPrintView.php
U plugins/private-messaging/ajax/sp-pm-ajax-post.php
U plugins/private-messaging/library/sp-pm-components.php
U plugins/private-messaging/library/sp-pm-messages-class.php
U plugins/private-messaging/library/sp-pm-template-functions.php
U plugins/private-messaging/library/sp-pm-threads-class.php
U plugins/private-messaging/sp-pm-plugin.php
U plugins/private-messaging/template-files/spPMFoot.php
U plugins/private-messaging/template-files/spPMMessagesView.php
U plugins/private-messaging/template-tags/sp-pm-pmview-tag.php
U plugins/private-posts/library/sp-private-posts-components.php
U plugins/rank-info/sp-rank-info-plugin.php
U plugins/report-post/library/sp-report-post-components.php
U plugins/report-post/sp-report-post-plugin.php
U plugins/reputation/library/sp-reputation-components.php
U plugins/search/classes/sp-search-blog-view-class.php
U plugins/search/library/sp-search-components.php
U plugins/search/template-tags/sp-search-template-functions.php
U plugins/search-by-user/library/sp-search-by-user-components.php
U plugins/share-this/template-tags/sp-share-this-forum-tag.php
U plugins/share-this/template-tags/sp-share-this-topic-tag.php
U plugins/subscriptions/sp-subscriptions-plugin.php
U plugins/subscriptions/template-tags/sp-subscriptions-review-button-tag.php
U plugins/subscriptions/template-tags/sp-subscriptions-subscribe-button-tag.php
U plugins/subscriptions/template-tags/sp-subscriptions-subscribe-forum-button-tag.php
U plugins/syntax-highlighting/sp-syntax-plugin.php
U plugins/tags/library/sp-tags-components.php
U plugins/tags/library/sp-tags-database.php
U plugins/tags/sp-tags-plugin.php
U plugins/threading/ajax/sp-threading-ajax-move.php
U plugins/threading/template-tags/sp-threading-tags.php
U plugins/tinymce-richtext/library/sp-tinymce-init.php
U plugins/unanswered/sp-unanswered-plugin.php
U plugins/warnings-suspensions/library/sp-warnings-suspensions-components.php
U plugins/watches/sp-watches-plugin.php
U plugins/watches/template-tags/sp-watches-review-button-tag.php
U plugins/watches/template-tags/sp-watches-watch-button-tag.php

 Differences:

 http://websvn.simple-press.com/revision.php?repname=Simple:Press&path=%2F&rev=15067
svn

svn

2017-01-22 17:39

administrator   ~0019078

Changeset [15068] by steve on 2017-01-22 12:39:40 -0500 (Sun, 22 Jan 2017)

see issue 0005727 move pageData from core to rewrites class since its generating all the data

 Changed Files:

U templates/barebones/templates/desktop/spHeadDesktop.php
U templates/barebones/templates/mobile/spHeadMobile.php
U templates/barebones/templates/spDefault.php
U templates/barebones/templates/spPMFoot.php
U templates/barebones/templates/spPMMessagesView.php
U templates/reboot/templates/desktop/spHeadDesktop.php
U templates/reboot/templates/spDefault.php
U templates/reboot/templates/spPMFoot.php
U templates/reboot/templates/spPMMessagesView.php
U templates/unified/templates/spDefault.php
U templates/unified/templates/spFoot.php

 Differences:

 http://websvn.simple-press.com/revision.php?repname=Simple:Press&path=%2F&rev=15068
svn

svn

2017-01-22 17:50

administrator   ~0019079

Changeset [15069] by steve on 2017-01-22 12:50:18 -0500 (Sun, 22 Jan 2017)

see issue 0005727 move storage location data from core to plugin class since it owns the data

 Changed Files:

U plugins/gravatar-cache/sp-gravatar-cache-plugin.php
U plugins/reputation/admin/sp-reputation-admin-levels.php
U plugins/reputation/ajax/sp-reputation-ajax-manage.php
U plugins/reputation/library/sp-reputation-components.php
U plugins/template-tags/library/sp-ShowUserGroups-tag.php
U plugins/user-selection/sp-user-selection-plugin.php

 Differences:

 http://websvn.simple-press.com/revision.php?repname=Simple:Press&path=%2F&rev=15069
svn

svn

2017-01-22 17:50

administrator   ~0019080

Changeset [15070] by steve on 2017-01-22 12:50:43 -0500 (Sun, 22 Jan 2017)

see issue 0005727 move storage location data from core to plugin class since it owns the data

 Changed Files:

U trunk/admin/panel-components/ajax/spa-ajax-components.php
U trunk/admin/panel-components/forms/spa-components-forumranks-form.php
U trunk/admin/panel-components/forms/spa-components-smileys-form.php
U trunk/admin/panel-components/forms/spa-components-special-ranks-form.php
U trunk/admin/panel-components/support/spa-components-prepare.php
U trunk/admin/panel-components/support/spa-components-save.php
U trunk/admin/panel-forums/ajax/spa-ajax-forums.php
U trunk/admin/panel-forums/forms/spa-forums-create-forum-form.php
U trunk/admin/panel-forums/forms/spa-forums-create-group-form.php
U trunk/admin/panel-forums/forms/spa-forums-custom-icons-form.php
U trunk/admin/panel-forums/forms/spa-forums-edit-forum-form.php
U trunk/admin/panel-forums/forms/spa-forums-edit-group-form.php
U trunk/admin/panel-forums/forms/spa-forums-featured-image-form.php
U trunk/admin/panel-forums/support/spa-forums-prepare.php
U trunk/admin/panel-integration/ajax/spa-ajax-integration-langs.php
U trunk/admin/panel-integration/forms/spa-integration-language-form.php
U trunk/admin/panel-plugins/forms/spa-plugins-list-form.php
U trunk/admin/panel-profiles/ajax/spa-ajax-profiles.php
U trunk/admin/panel-profiles/forms/spa-profiles-avatars-form.php
U trunk/admin/panel-profiles/forms/spa-profiles-avatars-pool-form.php
U trunk/admin/panel-profiles/support/spa-profiles-prepare.php
U trunk/admin/panel-profiles/support/spa-profiles-save.php
U trunk/admin/panel-themes/forms/spa-themes-list-form.php
U trunk/admin/panel-themes/forms/spa-themes-mobile-form.php
U trunk/admin/panel-themes/forms/spa-themes-tablet-form.php
U trunk/admin/panel-usergroups/forms/spa-usergroups-create-usergroup-form.php
U trunk/admin/panel-usergroups/forms/spa-usergroups-edit-usergroup-form.php
U trunk/admin/panel-usergroups/spa-usergroups-display-main.php
U trunk/forum/content/sp-common-view-functions.php
U trunk/forum/content/sp-member-view-functions.php
U trunk/forum/content/sp-topic-view-functions.php
U trunk/forum/profile/ajax/sp-ajax-profile-save.php
U trunk/forum/profile/ajax/sp-ajax-profile.php
U trunk/forum/profile/forms/sp-form-avatar.php
U trunk/sp-api/sp-api-class-spcdisplayfilters.php
U trunk/sp-api/sp-api-class-spcerror.php
U trunk/sp-api/sp-api-class-spcplugin.php
U trunk/sp-api/sp-api-class-spcpost.php
U trunk/sp-api/sp-api-class-spcsavefilters.php
U trunk/sp-api/sp-api-class-spcuser.php
U trunk/sp-startup/admin/spa-admin-support-functions.php
U trunk/sp-startup/core/sp-core-constants.php
U trunk/sp-startup/core/sp-core-support-functions.php
U trunk/sp-startup/forum/sp-forum-support-functions.php
U trunk/sp-startup/sp-load-class-spccoreloader.php

 Differences:

 http://websvn.simple-press.com/revision.php?repname=Simple:Press&path=%2F&rev=15070
svn

svn

2017-01-22 17:58

administrator   ~0019081

Changeset [15071] by steve on 2017-01-22 12:58:10 -0500 (Sun, 22 Jan 2017)

see issue 0005727 move iamges array location data from core to theme class since it owns the data

 Changed Files:

U trunk/sp-api/sp-api-class-spcplugin.php
U trunk/sp-api/sp-api-class-spctheme.php
U trunk/sp-startup/sp-load-class-spcsiteloader.php

 Differences:

 http://websvn.simple-press.com/revision.php?repname=Simple:Press&path=%2F&rev=15071
svn

svn

2017-01-22 18:17

administrator   ~0019082

Changeset [15072] by steve on 2017-01-22 13:17:40 -0500 (Sun, 22 Jan 2017)

test issue 0005727 attempt to limit files included based on page view type

 Changed Files:

U trunk/forum/content/sp-common-view-functions.php
U trunk/sp-api/sp-api-class-spcrewrites.php
U trunk/sp-startup/sp-load-class-spcforumloader.php

 Differences:

 http://websvn.simple-press.com/revision.php?repname=Simple:Press&path=%2F&rev=15072
svn

svn

2017-01-22 19:21

administrator   ~0019084

Changeset [15074] by steve on 2017-01-22 14:21:00 -0500 (Sun, 22 Jan 2017)

test issue 0005727 make sure we have pageview before using to determine loading

 Changed Files:

U trunk/sp-startup/sp-load-class-spcforumloader.php

 Differences:

 http://websvn.simple-press.com/revision.php?repname=Simple:Press&path=%2F&rev=15074
svn

svn

2017-01-27 04:16

administrator   ~0019112

Changeset [15101] by steve on 2017-01-26 23:16:35 -0500 (Thu, 26 Jan 2017)

see issue 0005727 try different laoding sequence of page vars

 Changed Files:

U trunk/sp-startup/sp-load-class-spcforumloader.php

 Differences:

 http://websvn.simple-press.com/revision.php?repname=Simple:Press&path=%2F&rev=15101
svn

svn

2017-01-31 03:57

administrator   ~0019159

Changeset [15147] by steve on 2017-01-30 22:57:23 -0500 (Mon, 30 Jan 2017)

see issue 0005727 clean up some forum class view loading

 Changed Files:

U trunk/forum/content/classes/sp-view-class-spcview.php
U trunk/sp-startup/sp-load-class-spcforumloader.php

 Differences:

 http://websvn.simple-press.com/revision.php?repname=Simple:Press&path=%2F&rev=15147
svn

svn

2017-02-04 17:18

administrator   ~0019174

Changeset [15160] by steve on 2017-02-04 12:18:22 -0500 (Sat, 04 Feb 2017)

see issue 0005727 dont instnatiate forum and admin classes on ajax requests if they already exist

 Changed Files:

U trunk/sp-startup/core/sp-core-ajax.php

 Differences:

 http://websvn.simple-press.com/revision.php?repname=Simple:Press&path=%2F&rev=15160

Issue History

Date Modified Username Field Change
2017-01-22 17:29 Mr Papa New Issue
2017-01-22 17:29 Mr Papa Assigned To => Mr Papa
2017-01-22 17:29 Mr Papa Status new => assigned
2017-01-22 17:38 svn =>
2017-01-22 17:38 svn Note Added: 0019076
2017-01-22 17:39 svn =>
2017-01-22 17:39 svn Note Added: 0019077
2017-01-22 17:39 svn =>
2017-01-22 17:39 svn Note Added: 0019078
2017-01-22 17:50 svn =>
2017-01-22 17:50 svn Note Added: 0019079
2017-01-22 17:50 svn =>
2017-01-22 17:50 svn Note Added: 0019080
2017-01-22 17:58 svn =>
2017-01-22 17:58 svn Note Added: 0019081
2017-01-22 18:17 svn =>
2017-01-22 18:17 svn Note Added: 0019082
2017-01-22 18:17 svn Status assigned => testing
2017-01-22 19:21 svn =>
2017-01-22 19:21 svn Note Added: 0019084
2017-01-27 04:16 svn =>
2017-01-27 04:16 svn Note Added: 0019112
2017-01-31 03:57 svn =>
2017-01-31 03:57 svn Note Added: 0019159
2017-02-04 17:18 svn =>
2017-02-04 17:18 svn Note Added: 0019174
2017-02-04 17:24 Mr Papa Status testing => closed
2017-02-04 17:24 Mr Papa Resolution open => fixed
2017-02-04 17:24 Mr Papa Fixed in Version => 6.0
2017-02-04 17:24 Mr Papa change_log_text update => clean up classes and loading procedures
2017-07-11 01:57 Mr Papa Product Version 6.0 => 5.8
2017-07-11 01:58 Mr Papa Fixed in Version 6.0 => 5.8
2017-07-11 01:58 Mr Papa Target Version 6.0 => 5.8